Support

Installing OpenSSL 0.9.8 on Debian 7 Wheezy

Follow

Note: this article is no longer current as of version 0.99 of RStudio Server which no longer requires this dependency. We recommend installing RStudio Server 0.99 or later. You can download the latest version from here

 

 

 

RStudio Server was linked against version 0.9.8 of OpenSSL. Since this version of OpenSSL is not available in the Debian 7 Wheezy repositories it's necessary to do a separate installation of this component prior to installing RStudio Server. This can be done as follows:

32-bit

$ wget http://ftp.us.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze14_i386.deb
$ sudo dpkg -i libssl0.9.8_0.9.8o-4squeeze14_i386.deb

64-bit (AMD)

$ wget http://ftp.us.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze14_amd64.deb
$ sudo dpkg -i libssl0.9.8_0.9.8o-4squeeze14_amd64.deb

64-bit (IA)

$ wget http://ftp.us.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze14_ia64.deb
$ sudo dpkg -i libssl0.9.8_0.9.8o-4squeeze14_ia64.deb

Binaries for additional architectures can be found here: http://packages.debian.org/squeeze/libssl0.9.8

Have more questions? Submit a request

Comments